pcl::_PointXYZHSV Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZHSV:

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float h
float s
float v
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 657 of file point_types.hpp.

## Member Data Documentation

union { ... }

float pcl::_PointXYZHSV::data_c[4]

Definition at line 668 of file point_types.hpp.

float pcl::_PointXYZHSV::h

Definition at line 664 of file point_types.hpp.

Referenced by pcl::PointXYZHSV::PointXYZHSV(), pcl::PointXYZHSVtoXYZRGB(), pcl::PointXYZRGBAtoXYZHSV(), pcl::PointXYZRGBtoXYZHSV(), and pcl::seededHueSegmentation().

pcl::_PointXYZHSV::PCL_ADD_POINT4D

Definition at line 659 of file point_types.hpp.

float pcl::_PointXYZHSV::s

Definition at line 665 of file point_types.hpp.

Referenced by pcl::PointXYZHSV::PointXYZHSV(), pcl::PointXYZHSVtoXYZRGB(), pcl::PointXYZRGBAtoXYZHSV(), and pcl::PointXYZRGBtoXYZHSV().

float pcl::_PointXYZHSV::v

Definition at line 666 of file point_types.hpp.

Referenced by pcl::PointXYZHSV::PointXYZHSV(), pcl::PointXYZHSVtoXYZRGB(), pcl::PointXYZRGBAtoXYZHSV(), and pcl::PointXYZRGBtoXYZHSV().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp